[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeMemManager.DisposeNode

Return a node to the free list

## Declaration

Source position: avl_tree.pp line 129

`public procedure TAVLTreeNodeMemManager.DisposeNode(`
`ANode: TAVLTreeNode`
`); override;`

## Arguments

`ANode` |  | Node to dispose of

## Description

DisposeNode is used to put the node ANode in the list of free nodes, or optionally destroy it if the free list is full. After a call to DisposeNode, ANode must be considered invalid.

## See also

TAVLTreeNodeMemManager.NewNode |  | Create a new TAVLTreeNode instance

Documentation generated on: Feb 26 2014